//**************************************************************************
//
//
//                       National Institute Of Standards and Technology
//                                    DTS Version 1.1
//         
//                             HTMLDListElement Interface
//**************************************************************************

function HTMLDListElement()
{
   var tests = new Array (HTML0001HDLE());
   return tests;
}

//------------------------ test case HTML-0001HDLE -------------------------
//
// Testing feature - The "compact" attribute signifies that space should
//                   be reduced between list items.
//
// Testing approach - Retrieve the "compact" attribute from the first 
//                    UL element of the testing document and examine its
//                    value. 
//
// Semantic Requirements: 1
//
// Last modification date - October 18, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0001HDLE()
 {
   var computedValue = "";
   var expectedValue = true;
   var results = "";
   var testNode = "";

    results = new testResults("HTML0001HDLE");
    results.description = "The \"compact\" attribute specifies that "+
                          "space should be reduced between list items.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(DL,FIRST);
//
// and access its "compact" attribute.
//
      computedValue = testNode.node.compact;
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0001HDLE --------------------------
