//**************************************************************************
//
//
//                       National Institute Of Standards and Technology
//                                    DTS Version 1.1
//         
//                               HTMLTableCaptionInterface
//**************************************************************************

function HTMLTableCaptionElement()
{
   var tests = new Array (HTML0001HTPE());
   return tests;
}

//------------------------ test case HTML-0001HTPE ------------------------
//
// Testing feature - The "align" attribute of the HTMLTableCaptionElement
//                   interface.
//
// Testing approach - Retrieve the "align" attribute from the CAPTION 
//                    element of the first TABLE element of the testing
//                    document and examine its value.
//
// Semantic Requirements: 1
//
// Last modification date - July 26, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0001HTPE()
 {
   var computedValue = "";
   var expectedValue = "TOP";
   var results = "";
   var testNode = "";
   var caption = "";

    results = new testResults("HTML0001HTPE");
    results.description = "The \"align\" attribute of the "+
                          "HTMLTableCaptionEement interface";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(TABLE,FIRST);
      caption = getTableCaption(testNode.node);
//
// and access its "align" attribute.
//
      computedValue = caption.align;
      computedValue = computedValue.toUpperCase();
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0001HTPE -------------------------
