//**************************************************************************
//
//
//                       National Institute Of Standards and Technology
//                                     DTS Version 1.0
//         
//                                      Comment Interface
//**************************************************************************

 var i = 1;

function Comment()
{
   var tests = new Array (core0001CO());
  
   return tests;
}
//------------------------ test case core-0001CO ------------------------
//
// Testing feature - A comment is all the characters between the starting 
//                   "<!--" and ending "-->" strings. 
//
// Testing approach - Retrieve the third child in the DOM document.  
//                    This node is a comment node and its value is the 
//                    content of the node.
//
// Semantic Requirements: 1
//
// Last modification date - March 30, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function core0001CO()
 {
   var computedValue = "";
   var expectedValue = " This is comment number 1.";
   var testNode = "";


   results = new testResults("Core0001CO");

   results.description = "A comment is all the characters between the "+
                         "start comment and end comment strings.";
//
// Retrieve the targeted data and access its nodeValue.
//
    testNode = getDOMDocument().childNodes(2); 
    computedValue = testNode.nodeValue;
//
// Write out results 
//


    results.expected = expectedValue;
    results.actual = computedValue;

    return results;
}

//------------------------ End test case core-0001CO --------------------------
